



***** T1 & T2
 use "company_sample_broad-12052021.dta", replace
  br if companyid == 54715 | companyid == 262837 | companyid == 368028 | companyid == 413089
  
  bysort nation_origin: gen total_n = _N
  bysort nation_origin: egen total_moves = sum(relocation_st_all)
   gen move_r = total_moves/total_n
  duplicates drop nation_orign, force
  gsort -move_r  
  keep if _n <= 30

  
***** F1  
 use "company_panel_quarterly_full.dta", replace
  stset round_q if vc_backed == 1 & ryear_min >= 2000 & companyfounding_yr >= ryear_min - 10  ///
     & company_age_yr !=. ///
     & (relocation_q <= first_exit_q - 3 | first_exit_q == . | relocation_q == . ) & ((round_q < first_exit_q & first_exit_q != .) | first_exit_q == . )  ///
     & nation_origin != "",  ///
   failure(relocation_st == 1) id(companyid) enter(time version_q_min) origin(time founding_q_min)     
   
   gen us_origin = (nation_origin == "US") 
  sts graph if foundingyr_cohort != . & company_age_yr <= 10 & companyfounding_yr >= 2000 & companyfounding_yr <= 2010, hazard by(us_origin) ci nob 
  

***** T3
 use "country_move-gravity_model-011123.dta", replace  
  ppmlhdfe move_ct ln_pop_imp_orig ln_pop_imp_dest   ///
   inv_geo_dist_kkm    ///
  , cluster(nation_g_id_dest#nation_g_id_origin) 
  eststo gm0331m1
  
  ppmlhdfe move_ct ln_pop_imp_orig ln_pop_imp_dest   ///
   inv_geo_dist_kkm same_legal hc_imp_orig hc_imp_dest ///
   , cluster(nation_g_id_dest#nation_g_id_origin)       
  eststo gm0331m2
  
  ppmlhdfe move_ct ln_pop_imp_orig ln_pop_imp_dest   ///
   inv_geo_dist_kkm   same_legal hc_imp_orig hc_imp_dest ///
   ln_n_active_vc_yr_orig ln_n_active_vc_yr_dest  /// 
   , cluster(nation_g_id_dest#nation_g_id_origin)       
  eststo gm0331m3
  
  ppmlhdfe move_ct ln_pop_imp_orig ln_pop_imp_dest   ///
   inv_geo_dist_kkm  same_legal hc_imp_orig hc_imp_dest  ///
   ln_n_active_vc_yr_orig ln_n_active_vc_yr_dest ln_crs_nat_investments , cluster(nation_g_id_dest#nation_g_id_origin)   
  eststo gm0331m3a

  esttab gm0331m* using "VC_R1-gravity_models-updated_for_writing-03312023.csv",replace label scalars(N ll bic) b(3) p(3) nogaps  parentheses compress interaction("#")


***** T4 
 use "company_panel_quarterly_full.dta", replace
  stset round_q if vc_backed == 1 & ryear_min >= 2000 & companyfounding_yr >= ryear_min - 10  ///
     & company_age_yr !=. ///
     & (relocation_q <= first_exit_q - 3 | first_exit_q == . | relocation_q == . ) & ((round_q < first_exit_q & first_exit_q != .) | first_exit_q == . )  ///
     & nation_origin != "",  ///
   failure(relocation_st == 1) id(companyid) enter(time version_q_min) origin(time founding_q_min)     
 
  streg  company_age_yr_3 company_age_yr_4 company_age_yr_5 company_age_yr_6 company_age_yr_7 company_age_yr_8 company_age_yr_9_  ///   
        comp_stage_early_prev_q comp_stage_expand_prev_q  comp_stage_late_prev_q sales_rcnt_reported  /// 
      vc_in_pre_move_round  is_p10_centrality  ///
     comp_vc_diff_nat_sum comp_vc_same_nat_sum   /// 
       ///
     i.compindmajgrpid 2004.version_year 2005.version_year 2006.version_year 2007.version_year 2008.version_year 2009.version_year 2010.version_year 2012.version_year 2014.version_year 2016.version_year 2017.version_year 2018.version_year 2019.version_year 2020.version_year 2021.version_year ///
     if vc_backed == 1 & ryear_min >= 2000 & companyfounding_yr >= ryear_min - 10  ///
     & n_appearances >= 2 & dropout_flag != 1 & gap_flag_max != 1  ///
     & company_age_yr >= 0 & ln_round_amt_q >= 0 & pop != . ///
     & (relocation_q <= first_exit_q - 3 | first_exit_q == . | relocation_q == . ) & ((round_q < first_exit_q & first_exit_q != .) | first_exit_q == . )  ///
     & nation_origin != "" & num_comp_origin_sample != 1 & relocation_firm_1008_pct_sample != 1,  distribution(exponential)  vce(cluster nation_origin)         
   eststo st061523m1

  streg  company_age_yr_3 company_age_yr_4 company_age_yr_5 company_age_yr_6 company_age_yr_7 company_age_yr_8 company_age_yr_9_  ///   
        comp_stage_early_prev_q comp_stage_expand_prev_q  comp_stage_late_prev_q sales_rcnt_reported  ///  
      vc_in_pre_move_round  is_p10_centrality  ///
     comp_vc_diff_nat_sum comp_vc_same_nat_sum   /// 
     pop  vc_comp_q_ind_dens ///
     i.compindmajgrpid 2004.version_year 2005.version_year 2006.version_year 2007.version_year 2008.version_year 2009.version_year 2010.version_year 2012.version_year 2014.version_year 2016.version_year 2017.version_year 2018.version_year 2019.version_year 2020.version_year 2021.version_year ///
     if vc_backed == 1 & ryear_min >= 2000 & companyfounding_yr >= ryear_min - 10  ///
     & n_appearances >= 2 & dropout_flag != 1 & gap_flag_max != 1  ///
     & company_age_yr >= 0 & ln_round_amt_q >= 0 & pop != . ///
     & (relocation_q <= first_exit_q - 3 | first_exit_q == . | relocation_q == . ) & ((round_q < first_exit_q & first_exit_q != .) | first_exit_q == . )  ///
     & nation_origin != "" & num_comp_origin_sample != 1 & relocation_firm_1008_pct_sample != 1,  distribution(exponential)  vce(cluster nation_origin)        
   eststo st061523m2

  streg  company_age_yr_3 company_age_yr_4 company_age_yr_5 company_age_yr_6 company_age_yr_7 company_age_yr_8 company_age_yr_9_  ///   
        comp_stage_early_prev_q comp_stage_expand_prev_q  comp_stage_late_prev_q sales_rcnt_reported  /// 
      vc_in_pre_move_round  is_p10_centrality  ///
     comp_vc_diff_nat_sum comp_vc_same_nat_sum /// 
     cvc_num  ///
     us_msa_total_pop us_msa_comp_num_q_ind_dens ///
     i.compindmajgrpid 2004.version_year 2005.version_year 2006.version_year 2007.version_year 2008.version_year 2009.version_year 2010.version_year 2012.version_year 2014.version_year 2016.version_year 2017.version_year 2018.version_year 2019.version_year 2020.version_year 2021.version_year ///
     if vc_backed == 1 & ryear_min >= 2000 & companyfounding_yr >= ryear_min - 10  ///
     & n_appearances >= 2 & dropout_flag != 1 & gap_flag_max != 1  ///
     & company_age_yr >= 0 & ln_round_amt_q >= 0  ///
     & (relocation_q <= first_exit_q - 3 | first_exit_q == . | relocation_q == . ) & ((round_q < first_exit_q & first_exit_q != .) | first_exit_q == . )  ///
     & nation_origin == "US" & num_comp_origin_sample != 1 & relocation_firm_1008_pct_sample != 1,  distribution(exponential)  vce(cluster compindmajgrpid) 
   eststo st230415m1   
   
  streg  company_age_yr_3 company_age_yr_4 company_age_yr_5 company_age_yr_6 company_age_yr_7 company_age_yr_8 company_age_yr_9_  ///   
        comp_stage_early_prev_q comp_stage_expand_prev_q  comp_stage_late_prev_q sales_rcnt_reported  /// 
      vc_in_pre_move_round  is_p10_centrality  ///
     comp_vc_diff_nat_sum comp_vc_same_nat_sum   /// 
     pop vc_comp_q_ind_dens ///
     i.compindmajgrpid 2004.version_year 2005.version_year 2006.version_year 2007.version_year 2008.version_year 2009.version_year 2010.version_year 2012.version_year 2014.version_year 2016.version_year 2017.version_year 2018.version_year 2019.version_year 2020.version_year 2021.version_year ///
     if vc_backed == 1 & ryear_min >= 2000 & companyfounding_yr >= ryear_min - 10  ///
     & n_appearances >= 2 & dropout_flag != 1 & gap_flag_max != 1  ///
     & company_age_yr >= 0 & ln_round_amt_q >= 0 & pop != . ///
     & (relocation_q <= first_exit_q - 3 | first_exit_q == . | relocation_q == . ) & ((round_q < first_exit_q & first_exit_q != .) | first_exit_q == . )  ///
     & nation_origin != "" & nation_origin != "US" & num_comp_origin_sample != 1 & relocation_firm_1008_pct_sample != 1,  distribution(exponential)  vce(cluster nation_origin)  
   eststo st061523m3   

   esttab st*  using "VC_R1-survival_analysis-manuscript-06152023.csv",replace label scalars(N r2) b(3) p(3) nogaps  parentheses compress interaction("#") eform drop(_cons) title(Survival Analysis of the Moving Status of VC-Backed Start-Ups)   


***** T5
 use  "company_cross_section_counterfactual-movers_120721.dta", replace 
  cmset companyid nation_destination1_cf

  cmclogit move  pop_imp_dest hc_imp_dest ///
   inv_geo_dist_kkm  same_legal ///
   vc_comp_den_yr_ind_imp_dest pc_existing_fm_nt_dest ln_crs_nat_investments  ///
   if sample_narrow & inv_geo_dist_kkm != .,  vce(cluster nation_origin) altwise difficult noconstant   
   eststo cma061523m1
   
  cmclogit move pc_existing_fm_nt_dest  vc_comp_den_yr_ind_imp_dest ln_crs_nat_investments ///
   pop_imp_dest hc_imp_dest   ///
   inv_geo_dist_kkm  same_legal  ///   
   if sample_narrow & inv_geo_dist_kkm != . & nation_origin == "US",  vce(cluster companyindustrymajorgroup) altwise difficult noconstant
   eststo cma061523m2   
   
  cmclogit move pc_existing_fm_nt_dest  vc_comp_den_yr_ind_imp_dest ln_crs_nat_investments ///
   pop_imp_dest hc_imp_dest  ///
   inv_geo_dist_kkm same_legal  ///   
   if sample_narrow & inv_geo_dist_kkm != . & nation_origin != "US",  vce(cluster nation_origin) altwise difficult noconstant     
   eststo cma061523m3
   
  esttab cma061523m* using "VC_R1-choice_models-for_manuscript-UPDATED-06152023.csv",replace label scalars(N r2) b(3) p(3) nogaps  parentheses compress interaction("#") 

  
***** T6
 use "company_MSA_choice_cf.dta", replace  
  cmset companyid companymsacode_cf
   
  cmclogit msa_move total_pop_mil ba_higher_pct_0_1 msa_comp_num_yr_ind_n  ///   
   if sample_narrow & max_msa_missing_var == 0 & max_msa_cf_missing_var  == 0,  vce(cluster nation_origin) altwise difficult noconstant      
  eststo msa230615m1
  
  cmclogit msa_move total_pop_mil ba_higher_pct_0_1   ///   
     msa_comp_num_yr_ind_n msa_existing_fm_ct_n ln_ct_msa_nat_co_invst ///
   if sample_narrow & max_msa_missing_var == 0 & max_msa_cf_missing_var  == 0,  vce(cluster nation_origin) altwise difficult noconstant      
  eststo msa230615m2
  
  cmclogit msa_move total_pop_mil ba_higher_pct_0_1   ///   
   msa_existing_fm_ct_n  msa_comp_num_yr_ind_n ln_ct_msa_nat_co_invst ///
   israeli_pct_000  indian_pop_pct_000 msa_migrant_comp_sum_n ///   
   if sample_narrow & max_msa_missing_var == 0 & max_msa_cf_missing_var  == 0,  vce(cluster nation_origin) altwise difficult noconstant 
  eststo msa230615m3
  
  cmclogit msa_move total_pop_mil ba_higher_pct_0_1   ///   
   msa_existing_fm_ct_n  msa_comp_num_yr_ind_n ln_ct_msa_nat_co_invst ///
    msa_migrant_comp_sum_n israeli_pct_000 ///
   if sample_narrow & max_msa_missing_var == 0 & max_msa_cf_missing_var  == 0 & nation_origin == "IS" & isr_cf == 1,  vce(cluster companyindustrymajorgroup) altwise difficult noconstant            
  eststo msa230615m3a  
  
  cmclogit msa_move total_pop_mil ba_higher_pct_0_1   ///   
   msa_existing_fm_ct_n  msa_comp_num_yr_ind_n ln_ct_msa_nat_co_invst ///
    msa_migrant_comp_sum_n  indian_pop_pct_000 ///
   if sample_narrow & max_msa_missing_var == 0 & max_msa_cf_missing_var  == 0 & nation_origin == "IN" & ind_cf == 1,  vce(cluster companyindustrymajorgroup) altwise difficult noconstant            
  eststo msa230615m5

  esttab msa230615m*  using "VC_R1-MSA_choice_analysis-Manuscript-06152023.csv",replace scalars(N r2) b(3) p(3) nogaps  parentheses compress interaction("#")   


***** F3
 log using "matched_sample-t_test"

 use matching_analysis-12152021.dta, replace  
  *** exits
  ttest exit_2yr if year_pair <= 2018, by(is_relocate1023)
  ttest exit_3yr if year_pair <= 2017, by(is_relocate1023)
  ttest exit_4yr if year_pair <= 2016, by(is_relocate1023)
  ttest exit_post_4yr if year_pair <= 2015, by(is_relocate1023)

  *** reported sales  
  ttest is_sales_reported_post_1yr if year_pair <= 2019, by(is_relocate1023)
  ttest is_sales_reported_post_2yr if year_pair <= 2018, by(is_relocate1023)
  ttest is_sales_reported_post_3yr if year_pair <= 2017, by(is_relocate1023)
  ttest is_sales_reported_post_3yr_ if year_pair <= 2016, by(is_relocate1023)
   
  *** num. of new rounds  
  ttest lnct_round_post_1yr if year_pair <= 2019, by(is_relocate1023)
  ttest lnct_round_post_2yr if year_pair <= 2018, by(is_relocate1023)
  ttest lnct_round_post_3yr if year_pair <= 2017, by(is_relocate1023)
  ttest lnct_round_post_3yr_ if year_pair <= 2016, by(is_relocate1023)
 
  *** num. of new investors  
  ttest lnct_fm_post_1yr if year_pair <= 2019, by(is_relocate1023)
  ttest lnct_fm_post_2yr if year_pair <= 2018, by(is_relocate1023)
  ttest lnct_fm_post_3yr if year_pair <= 2017, by(is_relocate1023)
  ttest lnct_fm_post_3yr_ if year_pair <= 2016, by(is_relocate1023)
 
 log close 


***** T7
 use matching_analysis-12152021.dta, replace  
  probit exit_post_1yr is_relocate1023 c.move_higher_strict#c.is_relocate1023 c.company_age_0_5#c.is_relocate1023 c.move_no_existing_fm_in_dest#c.is_relocate1023 ///
   lnct_round_pre, vce(cluster nation_origin)
  eststo ms1219m2     

  probit is_sales_reported_post is_relocate1023 c.move_higher_strict#c.is_relocate1023 c.company_age_0_5#c.is_relocate1023 c.move_no_existing_fm_in_dest#c.is_relocate1023 ///
  lnct_round_pre, vce(cluster nation_origin)  
  eststo ms1219m3a     

  reg lnct_round_post is_relocate1023 c.move_higher_strict#c.is_relocate1023 c.company_age_0_5#c.is_relocate1023   c.move_no_existing_fm_in_dest#c.is_relocate1023 ///  
   lnct_round_pre, vce(cluster nation_origin) 
  eststo ms1219m5a     
   
  reg lnct_fm_post is_relocate1023 c.move_higher_strict#c.is_relocate1023 c.company_age_0_5#c.is_relocate1023   c.move_no_existing_fm_in_dest#c.is_relocate1023 ///  
   lnct_round_pre, vce(cluster nation_origin) 
  eststo ms1219m8           
 
  esttab ms1219m*  using "VC_matched_sample_regression-12192021.csv",replace scalars(N r2) b(5) p(5) nogaps  parentheses compress interaction("#")          

  
***** T8
 use matching_analysis-12152021.dta, replace 
  reg lnct_rd_pst_orig_pre_move is_relocate1023 c.move_no_existing_fm_in_dest#c.is_relocate1023 lnct_round_pre_orig, vce(cluster nation_origin) 
   eststo match_loc_231223m1

  reg lnct_rd_pst_orig_post_move is_relocate1023 c.move_no_existing_fm_in_dest#c.is_relocate1023 lnct_round_pre_orig, vce(cluster nation_origin) 
   eststo match_loc_231223m2  
   
  reg lnct_rd_pst_dest_pre_move is_relocate1023 lnct_round_pre_dest, vce(cluster nation_origin)      
   eststo match_loc_231223m3  
   
  reg lnct_rd_pst_dest_post_move is_relocate1023 c.move_no_existing_fm_in_dest#c.is_relocate1023 lnct_round_pre_dest, vce(cluster nation_origin) 
   eststo match_loc_231223m3a  
   
  esttab match_loc_231223m* using "VC_R2_invst_location-12232023.csv",replace scalars(N r2) b(5) p(5) nogaps nostar parentheses compress interaction("#") 
